html {
    --purple: rgba(62,0,153,1);
    --dark-purple: rgba(44,3,108,1);
    --grey: rgba(96,96,96,1);
    --light-grey: rgba(181,181,181,1);
    --green: rgba(147,212,10,1);
    --dark-green: rgba(121, 160, 35);
    --white: rgba(255,255,255,1);

    /*
    violeta: rgba(62,0,153,1)
    violeta oscuro: rgba(44,3,109,1)
    blanco: white
    verde: rgba(147,212,10,1)
    gris: rgba(96,96,96,1)
    gris claro: rgba(181,181,181,1)
    */
}
body {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}
@font-face {
    font-family: 'MainFont';
    src: url('./assets/fonts/nk57-monospace-cd-rg.ttf') format('truetype');
    font-weight: normal;
    font-size: normal;
    font-display: swap;
}
@font-face {
    font-family: 'MainFont-Bold';
    src: url('./assets/fonts/nk57-monospace-cd-sb.ttf') format('truetype');
    font-weight: normal;
    font-size: normal;
    font-display: swap;
}



MAIN-CONTAINER {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    overflow: hidden;
}
MAIN-CONTAINER .main-screen {
    PROJECT-SCREEN { top: 0; left: -100dvw; }
    MAIN-SCREEN { top: 0; left: 0; }
    ILLUSTRATION-SCREEN { top: 0; left: 100dvw; }
    PROFILE-SCREEN { top: 100dvh; left: 0;}
}
MAIN-CONTAINER .project-screen {
    PROJECT-SCREEN { top: 0; left: 0; }
    MAIN-SCREEN { top: 0; left: 100dvw; }
    ILLUSTRATION-SCREEN { top: 0; left: 200dvw; }
    PROFILE-SCREEN { top: 100dvh; left: 0;}
}
MAIN-CONTAINER .illustration-screen {
    PROJECT-SCREEN { top: 0; left: -200dvw; }
    MAIN-SCREEN { top: 0; left: -100dvw; }
    ILLUSTRATION-SCREEN { top: 0; left: 0; }
    PROFILE-SCREEN { top: 100dvh; left: 0;}
}
MAIN-CONTAINER .profile-screen {
    PROJECT-SCREEN { top: -100dvh; left: -100dvw; }
    MAIN-SCREEN { top: -100dvh; left: 0; }
    ILLUSTRATION-SCREEN { top: -100dvh; left: 100dvw; }
    PROFILE-SCREEN { top: 0; left: 0;}
}



TOP-BAR {
    background-color: var(--grey);

    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;

    width: 100%;
    min-height: 64px;

    display: flex;
    flex-direction: row;
    align-items: center;

    padding: 0.15rem 1.75rem;
    column-gap: 1rem;
    box-sizing: border-box;

}
TOP-BAR .top-bar-icon {
    height: 50px;
    box-sizing: border-box;
}
TOP-BAR .top-bar-button {
    font-family: 'antipoda-variable', 'MainFont', sans-serif;
    font-size: clamp(1rem, 1.5dvw, 1.25rem);
    color: var(--light-grey);
    cursor: default;
}
.top-bar-icon, .top-bar-button {
    transition: 0.25s;
    padding: 0.5rem;
    border-radius: 0.75rem;
}
.top-bar-icon:hover, .top-bar-button:hover {
    background-color: var(--grey);
    filter: brightness(1.5);
}



CONTENT-AREA {
    display: flex;

    width: 100vw;
    height: 100dvh;

    position: absolute;

    overflow: hidden;
    scroll-behavior: smooth;
    transition: 0.5s;
}



PROJECT-SCREEN, MAIN-SCREEN, ILLUSTRATION-SCREEN, PROFILE-SCREEN {
    transition: 0.5s;
    position: absolute;
}
PROJECT-SCREEN {
    background-color: var(--purple);

    display: flex;
    flex-direction: column;
    width: 100dvw;
    height: 100dvh;
}
MAIN-SCREEN {
    background-color: var(--purple);

    /* flex: 0 0 100vw; */
    display: flex;
    flex-direction: column;
    width: 100dvw;
    height: 100dvh;

    padding-top: 64px;
    box-sizing: border-box;
}
.top-panel {
    width: 100%;
    height: 100%;

    display: flex;

    cursor: default;

    div {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        row-gap: 1rem;
        padding: 1rem;
        box-sizing: border-box;
    }
    img {
        width: 5rem;
        object-fit: contain;
    }
    span {
        font-family: 'antipoda-variable', 'MainFont', sans-serif;
        font-size: 1rem;
        color: var(--white);
    }
}
.top-panel .swipe-left-area {
    width: 15%;
    height: 100%;
    background: linear-gradient(90deg, rgba(255,255,255,0.5), rgba(255,255,255,0));
    /* border-radius: 0 50px 50px 0; */
    text-align: center;

    opacity: 0.25;
    transition: 0.5s;

    img {
        width: 3dvw;
        object-fit: contain;
    }
}
.top-panel .swipe-left-area:hover {
    opacity: 1;
}
.top-panel .title-area {
    width: 70%;
    height: 85%;

    img {
        width: 70%;
        object-fit: contain;
    }
}
.top-panel .swipe-right-area {
    width: 15%;
    height: 100%;
    background: linear-gradient(270deg, rgba(255,255,255,0.5), rgba(255,255,255,0));
    /* border-radius: 0 50px 50px 0; */
    text-align: center;

    opacity: 0.25;
    transition: 0.5s;

    img {
        width: 3dvw;
        object-fit: contain;
    }
}
.top-panel .swipe-right-area:hover {
    opacity: 1;
}
.bottom-panel {
    width: 100%;
    height: 15%;
    
    display: flex;
    align-items: center;
    justify-content: center;

    position: absolute;
    bottom: 0;
}
.bottom-panel .swipe-down-area {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;


    background: linear-gradient(0deg, rgba(255,255,255,0.5), rgba(255,255,255,0));
    row-gap: 1rem;
    /* padding: 1rem; */
    box-sizing: border-box;

    opacity: 0.25;
    transition: 0.5s;

    span {
        font-family: 'antipoda-variable', 'MainFont', sans-serif;
        font-size: 1rem;
        color: var(--white);
    }
    img {
        height: 3dvw;
        object-fit: contain;
    }
}
.bottom-panel .swipe-down-area:hover {
    opacity: 1;
    transition: 0.5s;
}

ILLUSTRATION-SCREEN {
    background-color: var(--purple);

    display: flex;
    flex-direction: column;
    width: 100dvw;
    height: 100dvh;
}
PROFILE-SCREEN {    
    background-color: var(--green);
    width: 100dvw;
    height: 100dvh;
    max-width: 100dvw;
    max-height: 100dvh;

    padding-top: 64px;
    box-sizing: border-box;

    overflow-y: auto;
}
.profile-info-container {
    width: 100%;
    height: 100%;
    
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;

    box-sizing: border-box;
    padding: 1rem;
    column-gap: 2dvw;
    row-gap: 3dvh;
}

.profile-info-subcontainer {
    background-color: var(--purple);

    width: 100%;
    max-height: 100%;

    overflow-y: hidden;

    box-sizing: border-box;
    padding: 0.5rem;
    border-radius: 15px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;

    span {
        width: 100%;
        font-family: 'antipoda-variable', 'MainFont', sans-serif;
        font-size: clamp(1rem, 1vw, 1.25rem);
        color: white;
    }
    b {
        font-family: 'antipoda-variable', 'MainFont', sans-serif;
        color: var(--green);
    }
    h1 {
        font-family: 'antipoda-variable', 'MainFont', sans-serif;
        font-size: clamp(1.25rem, 1.25vw, 1.5rem);
        color: var(--green);

        width: 100%;
        margin: 0;

        text-align: start;
    }
    profile-container {
        width: 100%;
        height: 100%;

        display: flex;
        flex-direction: column;
        align-items: center;

        row-gap: 2dvh;
    }
    profile-image {
        background-color: var(--green);

        width: 100%;
        height: 60dvh;

        display: flex;
        align-items: center;
        justify-content: center;
        
        box-sizing: border-box;
        border-radius: 15px;
        padding: 0.75rem;
        overflow: hidden;

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

        
    }
    profile-name {
        width: 100%;

        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        span {
            background-color: var(--green);
            width: 80%;

            font-family: 'antipoda-variable', 'MainFont', sans-serif;
            font-size: clamp(1.25rem, 1.5vw, 1.75rem);;
            font-weight: bold;
            color: var(--purple);
            text-align: center;
            white-space: nowrap;

            padding: 0.5rem;
            border-radius: 15px;
        }
    }
    profile-greeting {
        width: 100%;

        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: start;

        font-family: 'antipoda-variable', 'MainFont', sans-serif;
        font-weight: bold;
        font-size: clamp(1.5rem, 2dvh, 1.75rem);
        text-align: center;
        color: var(--green);
    }
    grid-2x5 {
        width: 100%;
        height: 100%;
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        grid-template-rows: repeat(2, 1fr);

        padding: 1dvh;
        box-sizing: border-box;

        grid-column-gap: 1dvh;
        grid-row-gap: 1dvh;

        align-items: center;
        justify-items: center;

        img {
            height: 5dvh;
            object-fit: scale-down;
        }
    }
    language-container {
        width: 100%;
        height: 100%;

        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: start;
    }
    grid-2x4 {
        /* width: 100%; */
        height: 100%;

        padding: 1dvh;
        box-sizing: border-box;
        
        display: grid;
        justify-content: center;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(2, 1fr);
        grid-column-gap: 1dvh;
        grid-row-gap: 1dvh;

        interest-container {
            display: flex;
            align-items: center;
            justify-content: center;
            text-align: center;
        }
        span {
            background-color: var(--purple);
            border: 0.75dvh solid var(--green);
            
            box-sizing: border-box;
            padding: 0.5dvh;
            border-radius: 10px;

            width: 100%;
            white-space: nowrap;

            font-family: 'antipoda-variable', 'MainFont', sans-serif;
            font-size: clamp(0.75rem, 1dvw, 1rem);
            color: var(--white);
        }
    }
    grid-3x1 {
        width: 90%;
        height: 100%;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(3, 1fr);
        grid-column-gap: 0px;
        grid-row-gap: 0px;
    }
    contact-container {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: start;

        column-gap: 1rem;

        img {
            width: 3dvh;
            height: 3dvh;
        }
    }
    image-container {
        width: 100%;
        height: 100%;

        box-sizing: border-box;
        object-fit: cover;

        img {
            object-fit: contain;
            display: block;
        }
    }
}
.profile-info-subcontainer.a { grid-area: 1 / 1 / 5 / 2; }
.profile-info-subcontainer.b { grid-area: 1 / 2 / 2 / 5; justify-content: center; text-align: center; }
.profile-info-subcontainer.c { 
    grid-area: 2 / 2 / 4 / 3; 
    align-items: start;
    img { height: 90%; }
}
.profile-info-subcontainer.d { grid-area: 2 / 3 / 3 / 4; }
.profile-info-subcontainer.e { grid-area: 2 / 4 / 3 / 5; text-align: start; }
.profile-info-subcontainer.f { 
    grid-area: 3 / 3 / 4 / 5; 
    align-items: start;
    overflow-y: auto;
    img { width: 100%; }
    scrollbar-color: var(--green) transparent;
}
.profile-info-subcontainer.g { grid-area: 4 / 2 / 5 / 4; }
.profile-info-subcontainer.h { grid-area: 4 / 4 / 5 / 5; }



project-area { flex-grow: 1; }
bottom-bar {
    background-color: var(--grey);
    height: 64px;

    display: flex;
    flex-direction: row;

    padding: 0.15rem 1.75rem;
    /* column-gap: 1rem; */
    box-sizing: border-box;
}
bottom-bar .bar-button {
    background-color: var(--grey);

    min-width: 64px;
    height: 100%;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    column-gap: 1rem;
    padding: 0.75rem 1.5rem;
    
    img {
        height: 100%;
    }
    span {
        font-family: 'antipoda-variable', 'MainFont', sans-serif;
        font-size: 1.5rem;
        color: var(--light-grey);
    }
}
bottom-bar .bottom-bar-project-area {
    display: flex;
    flex-direction: row;
    align-items: center;

    width: 100%;
    padding: 0 0.15rem;
    column-gap: 0.15rem;

    button {
        font-family: 'antipoda-variable', 'MainFont', sans-serif;
        font-size: 1rem;
        color: var(--light-grey);

        width: 200px;
    }
}

@keyframes window-appearence {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0px);
    }
}
@keyframes window-disappearence {
    from {
        opacity: 1;
        transform: translateY(0px);
    }
    to {
        opacity: 0;
        transform: translateY(20px);
        display: none;
    }
}
@keyframes window-maximize {
    from {
        width: 20dvw;
        height: 20dvw;
    }
    to {
        width: 100dvw;
        height: 100dvh;
        top: 0;
        left: 0;
    }
}
@keyframes window-maximize-dissapearence {
    from {
        opacity: 1;
        transform: translateY(0px);
        width: 100dvw;
        height: 100dvh;
    }
    to {
        opacity: 0;
        transform: translateY(20px);
        display: none;
    }
}
project-window {
    background-color: var(--light-grey);
    padding: 0.15rem;
    row-gap: 0.15rem;
    box-sizing: border-box;

    width: 20dvw;
    height: 20dvw;

    display: flex;
    flex-direction: column;
    position: absolute;

    animation: window-appearence 0.5s ease-out forwards;
}
project-window.hidden {
    animation: window-disappearence 0.5s ease-out forwards;
}
project-window.maximized {
    animation: window-maximize 0.5s ease-out forwards;
    width: 100%;
    height: 100%;
}
project-window.hidden.maximized {
    animation: window-maximize-dissapearence 0.5s ease-out forwards;
}
project-window window-header {
    background-color: var(--grey);
    width: 100%;
    height: 32px;

    padding: 0.15rem;
    box-sizing: border-box;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: end;
}
project-window window-header .header-button {
    min-height: 25px;
    min-width: 25px;
    max-height: 25px;
    max-width: 25px;

    margin: 0;
    padding: 0;

    /* pointer-events: none; */

    img {
        width: 100%;
        height: 100%;
        object-fit: contain;
        pointer-events: none;
    }
}
project-window window-header .header-title {
    width: 100%;
    height: 100%;

    white-space: nowrap;
    overflow-x: hidden;
    text-overflow: ellipsis;

    pointer-events: none;

    display: flex;
    flex-direction: row;
    align-items: center;

    font-family: 'antipoda-variable', 'MainFont', sans-serif;
    font-size: 1rem;
    color: var(--light-grey);
}
project-window window-content {
    background-color: var(--white);
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;

    overflow-y: scroll;

    img {
        width: 100%;
        object-fit: scale-down;
        box-sizing: border-box;
        padding: 0.5rem;
    }
}